Subject: RE: Node Req: Issue31: DHCPv6 text (ignore previous mails)

From: [email-masked]
Date: Fri, 21 Nov 2003 10:37:06 +0200

Bob,
> >    For those IPv6 nodes that implement DHCP, those nodes MUST use DHCP
> >    upon the receipt of a Router Advertisement with the 'M' flag set (see
> >    section 5.5.3 of RFC2462).  In addition, in the absence of a router,
> >    IPv6 Nodes that implement DHCP MUST attempt to use DHCP.
> >to:
> >    Nodes that implement DHCP MUST use DHCP upon the receipt of a
> >    Router Advertisement with the 'M' flag set (see section 5.5.3 of
> >    RFC2462).  In addition, in the absence of a router,
> >    IPv6 Nodes that implement DHCP MUST attempt to use DHCP.  In this
> >    context, 'use DHCP' means trying to obtain both address(es) and
> >    other configuration information through DHCP.
> 
> Please remind me why the "in the absence of a router" text is there.  I am 
> having a hard time thinking about a scenario where there would be a DHCP 
> server, but no router.  The presences of a DHCP relay agent would also need 
> a router to be useful.

Agreed.  The text is bad.  Thinking further, it should be something like
if an RA is not received, then DHCP is used.  However, thinking about this
further, if no RA is received, maybe someone might like to be prompted to
use manual configuration, not DHCP.  Would that be possible?

John

--------------------------------------------------------------------
IETF IPv6 working group mailing list
[email-masked]
Administrative Requests: https://www1.ietf.org/mailman/listinfo/ipv6
--------------------------------------------------------------------

---

From: Ralph Droms <[email-masked]>
Date: Thu, 20 Nov 2003 09:37:10 -0500

Hesham,

At 09:27 AM 11/20/2003 -0500, Soliman Hesham wrote:

>  > I strongly suggest the use of "Nodes" (unqualified) in the text
>  > about the 'O' bit:
>
>=> To be clear, I was suggesting substitusting "Nodes (acting as hosts)".
>I'm not sure if you're replying to my comment or in general.

Thanks for the clarification; I don't think I precisely understood your
substitution.

And, now that I think about the problem a little more carefully, esp. after
reading the text you cite below from RFC 2461 (thanks for looking up the
reference), I've convinced myself the problem is a little more complicated
than I thought at first glance.

In the case of routers, I think the 'M' and 'O' bits should be
used conditionally based on configuration in the router.  That is,
I can imagine situations in which an operator would want to
control the behavior of several routers on a link through
the 'M' and 'O' bits, while in other situations an operator
would want to configure each router manually, ignoring the
'M' and 'O' bits...

>  > However, there is some question about any discussion of "nodes" and
>  > RAs, as there may be text in RFC 2461 (I'm working from
>  > memory, here, which
>  > in my case is a remarkably unreliable service; I hope
>  > someone more familiar
>  > with RFC 2461 can confirm or deny) that allows or requires
>  > routers to ignore RAs.
>
>=> In 6.2.7 :
>
>    Routers SHOULD inspect valid Router Advertisements sent by other
>    routers and verify that the routers are advertising consistent
>    information on a link.  Detected inconsistencies indicate that one or
>    more routers might be misconfigured and SHOULD be logged to system or
>    network management.  The minimum set of information to check
>    includes:
>
>     - Cur Hop Limit values (except for the unspecified value of zero).
>
>     - Values of the M or O flags.
>
>     - Reachable Time values (except for the unspecified value of zero).
>
>Whether that means routers can also act upon the information
>they receive is of course a separate issue. But at least
>it is clear that routers are not required to automatically drop RAs.
>
>Hesham
>
>
>
>
>
>  >
>  > - Ralph
>  >
>  > At 09:06 AM 11/20/2003 -0500, Soliman Hesham wrote:
>  > >  >
>  > >  > Is there a reason to differentiate between nodes acting as
>  > >  > hosts here, but
>  > >  > not in the paragraph describing the behavior in response to
>  > >  > the 'M' bit?
>  > >
>  > >=> In general, unless previously discussed and rejected for some
>  > >reason, I'd globally: s/Nodes (acting as hosts)/host
>  > >
>  > >It's a bit clumsy to read as it is.
>  > >
>  > >Hesham
>  >
>  >

---

From: Tim Chown <[email-masked]>
Date: Thu, 20 Nov 2003 14:37:40 +0000

>     - Reachable Time values (except for the unspecified value of zero).

Presumably this means consistent RA information for the same prefix?  I guess
that's implicit, but it is quite possible that two prefixes will be seen,
one with M bit clear and one with M bit set if you use two upstream providers
with different address assignment policies?
 
So I guess the question is what is "consistent information"?  The same bits
set for the same prefix?

Tim

---

From: [email-masked] (Jun-ichiro itojun Hagino)
Date: Thu, 20 Nov 2003 22:40:55 +0900 (JST)

> Please ignore previous mails on this topic,  here is the proposed text:

	the change has to be synchronized with 2462bis effort, am i right?

itojun